<template>
  <div class="subgrid">
    <main-filter class="grid-item filter dive-card" />
    <navigation class="navigation grid-item dive-card" editMode="true" />

    <edit-map class="grid-item dive-card map" />
    <edit-place class="grid-item dive-card map-edit" />

    <div class="dive-card grid-item buddy-edit">Buddy Edit</div>
    <save-or-discard class="grid-item dive-card button" />
  </div>
</template>

<script>
import navigation from "@/components/navigation";
import mainFilter from "@/components/editFilter";
import editPlace from "@/components/editPlace";
import editMap from "@/components/editMap";
import saveOrDiscard from "@/components/saveOrDiscard";

export default {
  components: {
    navigation,
    editPlace,
    editMap,
    saveOrDiscard,
    mainFilter,
  },
  props: {
    editMode: Boolean,
  },
  name: "no-name",
};
</script>

<style scoped>
.subgrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
  column-gap: 0.5em;
  row-gap: 0.5em;
}

.grid-item.filter {
  grid-column: 1/5;
  grid-row: 1/2;
  justify-self: stretch;
}

.grid-item.navigation {
  grid-column: 1 / 2;
  grid-row: 2/6;
}

.grid-item.map {
  grid-column: 2 / 4;
  grid-row: 2 / 4;
}

.grid-item.map-edit {
  grid-column: 2 / 4;
  grid-row: 4 / 5;
}

.grid-item.buddy-edit {
  grid-column: 4/5;
  grid-row: 2/5;
}

.grid-item.button {
  grid-column: 2 / 5;
  grid-row: 5 / 6;
}

@media (max-width: 800px) {
  .subgrid {
    display: grid;
    grid-template-columns: 24% 37.5% 37.5%;
    grid-template-rows: 1fr 1fr 1fr 1fr 0.3fr 0.3fr;
  }
  .filter {
    grid-column: 1/4;
  }
  .grid-item.navigation {
    grid-column: 1/2;
    grid-row: 2/7;
  }
  .grid-item.map {
    grid-column: 2 / 4;
    grid-row: 2 / 4;
  }
  .grid-item.map-edit {
    grid-column: 2 / 4;
    grid-row: 4 / 5;
  }
  .grid-item.buddy-edit {
    grid-column: 2/4;
    grid-row: 5/6;
  }
  .grid-item.button {
    grid-column: 2 / 4;
    grid-row: 6 / 7;
  }
}
@media (min-width: 1200px) {
  .grid-item.navigation {
  }
}
</style>
